# Spec file for package paper-icon-theme
#
# Copyright (c) 2015 Sam Hewitt <hewittsamuel@gmail.com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#


%global         commit        8c7bf8d295a72e45d81ca3d5c1ac5d69a65b0154
%global         githash       %(c=%{commit}; echo ${c:0:7})
%global         gitdate       20180815
%global         gittime       1815
%global         theme_name    Paper

Name:           paper-icon-theme
Epoch:          1
Version:        1.4.0
Release:        4.%{gitdate}%{gittime}git%{githash}%{?dist}

Summary:        Paper Icon theme
License:        CC-BY-SA

Url:            http://snwh.org/paper/icons
Source:         https://github.com/snwh/%{name}/archive/%{commit}/%{name}-v%{version}-%{githash}.tar.gz

BuildRequires:  meson
Requires:       hicolor-icon-theme, gnome-icon-theme
BuildArch:      noarch


%description
Icon theme for the Paper-Gtk-theme, inspired by Google's Material design.

%prep
%autosetup -n %{name}-%{commit}
chmod a-x AUTHORS README.md

%build
%meson
%meson_build

%install
%meson_install

%files
%doc AUTHORS README.md
%license LICENSE
%license COPYING
%{_datadir}/icons/Paper/
%{_datadir}/icons/Paper-Mono-Dark/

%changelog
* Sat Apr 11 2015 Liam Bulkley <liam@fightingcrane.com> 1.1-1
- Merge branch 'master' of https://github.com/snwh/paper-icon-theme
  (liam@fightingcrane.com)
- Fixed typo (hewittsamuel@gmail.com)
- Added 22px panel icons. (hewittsamuel@gmail.com)

* Tue Apr 07 2015 Liam Bulkley <liam@fightingcrane.com> 1.0-3
- Updated a few icons (hewittsamuel@gmail.com)

* Sun Apr 05 2015 Liam Bulkley <liam@fightingcrane.com> 1.0-2
- new package built with tito
titofied for copr
